Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class SpecieReference

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.BaseSupport
                  biouml.standard.type.GenericEntity
                      biouml.standard.type.SpecieReference

All Implemented Interfaces:
  Base, DataElement, FormulaDelegate, MutableDataElement, Relation, SerializableAsText, Type

public class SpecieReference
extends GenericEntity
implements Relation, FormulaDelegate, SerializableAsText

SpecieReference specifies role of molecule involved in the `Reaction`.

Pendung:
  is it property names clear and correct?

Field Summary
`static java.lang.String` | `ACTION_CATALYST`
`static java.lang.String` | `ACTION_INHIBITOR`
`static java.lang.String` | `ACTION_SWITCH_OFF`
`static java.lang.String` | `ACTION_SWITCH_ON`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `MODIFIER`
`protected java.lang.String` | `modifierAction` Specifies the modifier action.
`static java.lang.String` | `OTHER`
`static java.lang.String` | `PRODUCT`
`static java.lang.String` | `REACTANT`
`protected java.lang.String` | `specie` Complete name of specie relative the module.
`protected java.lang.String` | `stoichiometry` Specifies the involved molecule stoichiometry.

Fields inherited from class biouml.standard.type.GenericEntity
`comment`

Fields inherited from class biouml.standard.type.BaseSupport
`title, type`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface biouml.standard.type.Relation
`PARTICIPATION_DIRECT, PARTICIPATION_INDIRECT, PARTICIPATION_UNKNOWN`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Constructor Summary
`SpecieReference(DataCollection origin, java.lang.String name)`
`SpecieReference(DataCollection origin, java.lang.String name, java.lang.String role)`
`SpecieReference(java.lang.String descr)`

Method Summary
`SpecieReference` | `clone(DataCollection origin, java.lang.String name)`
`java.lang.String` | `getAsText()`
`java.lang.String` | `getFormula()`
`java.lang.String` | `getModifierAction()`
`java.lang.String` | `getParticipation()`
`java.lang.String` | `getRole()`
`java.lang.String` | `getSpecie()`
`java.lang.String` | `getStoichiometry()`
`java.lang.String` | `getType()`
`boolean` | `isReactantOrProduct()` Used in BeanInfo to disable editing of modifierAction property for reactant or product specie.
`void` | `setModifierAction(java.lang.String modifierAction)`
`void` | `setParticipation(java.lang.String participation)`
`void` | `setRole(java.lang.String role)`
`void` | `setSpecie(java.lang.String specie)`
`void` | `setStoichiometry(java.lang.String stoichiometry)`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface biouml.standard.type.Base
`getTitle`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Methods inherited from interface biouml.model.dynamics.FormulaDelegate
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### log

    protected static org.apache.log4j.Category log

### specie

    protected java.lang.String specie

  Complete name of specie relative the module.

### REACTANT

    public static final java.lang.String REACTANT

See Also:
  Constant Field Values

### PRODUCT

    public static final java.lang.String PRODUCT

See Also:
  Constant Field Values

### MODIFIER

    public static final java.lang.String MODIFIER

See Also:
  Constant Field Values

### OTHER

    public static final java.lang.String OTHER

See Also:
  Constant Field Values

### stoichiometry

    protected java.lang.String stoichiometry

  Specifies the involved molecule stoichiometry.

### ACTION_CATALYST

    public static final java.lang.String ACTION_CATALYST

See Also:
  Constant Field Values

### ACTION_INHIBITOR

    public static final java.lang.String ACTION_INHIBITOR

See Also:
  Constant Field Values

### ACTION_SWITCH_ON

    public static final java.lang.String ACTION_SWITCH_ON

See Also:
  Constant Field Values

### ACTION_SWITCH_OFF

    public static final java.lang.String ACTION_SWITCH_OFF

See Also:
  Constant Field Values

### modifierAction

    protected java.lang.String modifierAction

  Specifies the modifier action. This value is needed only if role is MODIFIER, othervise it should be empty.

Constructor Detail

### SpecieReference

    public SpecieReference(DataCollection origin,
                           java.lang.String name)

### SpecieReference

    public SpecieReference(DataCollection origin,
                           java.lang.String name,
                           java.lang.String role)

### SpecieReference

    public SpecieReference(java.lang.String descr)

Method Detail

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `SerializableAsText`

### clone

    public SpecieReference clone(DataCollection origin,
                                 java.lang.String name)

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Base`
  Overrides:
    `getType` in class `BaseSupport`

### getSpecie

    public java.lang.String getSpecie()

### setSpecie

    public void setSpecie(java.lang.String specie)

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String role)

### isReactantOrProduct

    public boolean isReactantOrProduct()

  Used in BeanInfo to disable editing of modifierAction property for reactant or product specie.

### getStoichiometry

    public java.lang.String getStoichiometry()

### setStoichiometry

    public void setStoichiometry(java.lang.String stoichiometry)

### getModifierAction

    public java.lang.String getModifierAction()

### setModifierAction

    public void setModifierAction(java.lang.String modifierAction)

### getParticipation

    public java.lang.String getParticipation()

  Specified by:
    `getParticipation` in interface `Relation`

### setParticipation

    public void setParticipation(java.lang.String participation)

### getFormula

    public java.lang.String getFormula()

  Specified by:
    `getFormula` in interface `FormulaDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.